import settings          from './settings.js'


// --------------------------------------------------------------- [end imports]

/**
 * Log message Only when debug_mode of settings () is enabled
 */
export const _log = (...args) => {
    if (settings ().debug_mode) {
        log (`[RoundedCornersEffect] ${args}`)
    }
}

/** Always log error message  */
export const _logError = (err) => {
    log (`[Rounded Corners Effect] Error occurs: ${err.message}`)
    logError (err)
}
